> ## Documentation Index
> Fetch the complete documentation index at: https://developer.setle.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Renovations

> Returns a paginated list of renovations bound to the context of the used client.



## OpenAPI

````yaml GET /v1/renovations
openapi: 3.0.0
info:
  title: Setle API
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://public-api.setle.app
security: []
tags: []
paths:
  /v1/renovations:
    get:
      tags:
        - Renovation
      description: >-
        Returns a paginated list of renovations bound to the context of the used
        client.
      operationId: PublicRenovationsApiController_getRenovations
      parameters:
        - name: page
          required: false
          in: query
          schema:
            minimum: 1
            default: 1
            type: number
        - name: page_size
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 50
            type: number
        - name: sort_by
          required: false
          in: query
          schema:
            default: updated_at
            enum:
              - created_at
              - updated_at
            type: string
        - name: sort_order
          required: false
          in: query
          schema:
            default: DESC
            enum:
              - ASC
              - DESC
            type: string
        - name: filter
          required: false
          in: query
          schema: {}
        - name: filter[include_deleted]
          required: false
          in: query
          description: Include deleted renovations
          example: 'true'
          schema:
            type: string
        - name: filter[external_user_id]
          required: false
          in: query
          description: External user ID used in your system
          example: 90e6ee5b-3ae1-4c22-88d0-271e228a52ee
          schema:
            type: string
      responses:
        '200':
          description: Successfully processed request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedRenovationSummaryDto'
        '400':
          description: Request failed because of input validation errors.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DefaultHttpException'
        '500':
          description: Request failed because of internal server error(s).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorException'
      security:
        - bearer: []
components:
  schemas:
    PaginatedRenovationSummaryDto:
      type: object
      properties:
        page:
          type: number
        page_size:
          type: number
        total_pages:
          type: number
        has_prev_page:
          type: boolean
        has_next_page:
          type: boolean
        prev_page:
          type: number
          nullable: true
        next_page:
          type: number
          nullable: true
        total:
          type: number
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetRenovationSummaryDto'
      required:
        - page
        - page_size
        - total_pages
        - has_prev_page
        - has_next_page
        - prev_page
        - next_page
        - total
        - data
    DefaultHttpException:
      type: object
      properties:
        statusCode:
          type: number
          description: >-
            HTTP status code for the response. Can be anything within the 4XX
            and 5XX range.
          example: 400
        message:
          type: object
          description: >-
            Main error message. This will generally be a string or array of
            strings, but could also be a custom object or array of objects
            without predefined schema.
          example:
            - Name should not be empty.
            - Password must contain at least 1 uppercase character.
        error:
          type: string
          description: Short string representation of the status code.
          example: Bad Request
      required:
        - statusCode
        - message
        - error
    InternalServerErrorException:
      type: object
      properties: {}
    GetRenovationSummaryDto:
      type: object
      properties:
        renovation_id:
          type: string
          example: 90e6ee5b-3ae1-4c22-88d0-271e228a52ee
        renovation_created_at:
          format: date-time
          type: string
        renovation_updated_at:
          format: date-time
          type: string
        subsidy_amount:
          type: number
        estimated_cost:
          type: number
        estimated_vat_cost:
          type: number
        total_estimated_cost_incl_vat:
          type: number
        estate_id:
          type: string
          example: 90e6ee5b-3ae1-4c22-88d0-271e228a52ee
        estate_geo_address:
          $ref: '#/components/schemas/GetSummaryAddressDto'
        estate_type:
          enum:
            - HOUSE
            - APARTMENT
          type: string
        estate_format:
          type: string
          enum:
            - SEMI_OPEN
            - OPEN
            - CLOSED
            - DUPLEX
            - FLAT
        managing_user:
          $ref: '#/components/schemas/GetSummaryUserDto'
        renovation_name:
          type: string
        renovation_deleted_at:
          format: date-time
          type: string
      required:
        - renovation_id
        - renovation_created_at
        - renovation_updated_at
        - subsidy_amount
        - estimated_cost
        - estimated_vat_cost
        - total_estimated_cost_incl_vat
        - estate_id
        - estate_geo_address
        - estate_type
        - estate_format
        - managing_user
        - renovation_name
        - renovation_deleted_at
    GetSummaryAddressDto:
      type: object
      properties:
        country:
          type: string
          enum:
            - BE
            - NL
        house_number:
          type: string
        place:
          type: string
        region:
          type: string
          enum:
            - BE
            - BE;BE-VLG
            - BE;BE-WAL
            - BE;BE-BRU
            - BE;BE-VLG;BE-VAN
            - BE;BE-VLG;BE-VLI
            - BE;BE-VLG;BE-VOV
            - BE;BE-VLG;BE-VBR
            - BE;BE-VLG;BE-VWV
            - BE;BE-WAL;BE-WBR
            - BE;BE-WAL;BE-WHT
            - BE;BE-WAL;BE-WLG
            - BE;BE-WAL;BE-WLX
            - BE;BE-WAL;BE-WNA
            - NL
            - NL;NL-DR
            - NL;NL-FL
            - NL;NL-FR
            - NL;NL-GE
            - NL;NL-GR
            - NL;NL-LI
            - NL;NL-NB
            - NL;NL-NH
            - NL;NL-OV
            - NL;NL-UT
            - NL;NL-ZE
            - NL;NL-ZH
        street:
          type: string
        zip_code:
          type: string
    GetSummaryUserDto:
      type: object
      properties:
        id:
          type: string
          example: 90e6ee5b-3ae1-4c22-88d0-271e228a52ee
        external_id:
          type: string
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````